#include "fill.h"
#include "handler.h"
#include <stdio.h>

cui
cui_fill_new(cui parent, int x, int y, int w, int h, char *s, int attr)
{
	cui obj = cui_alloc(sizeof(struct cui_fill));
	cui_fill_init(obj, parent, x, y, w, h, s, attr);
	return obj;
}

int
cui_fill_hdr(cui obj, int evt, int val, void *prm)
{
	cui_label lb = (cui_label)obj;
	cui_fill_rect(obj, 0, 0, obj->w, obj->h, cui_label_str_get(obj), lb->attr);
	return TRUE;
}

void
cui_fill_init(cui obj, cui parent, int x, int y, int w, int h, char *s, int attr)
{
	cui_label_init(obj, parent, x, y, s);
	obj->w = w;
	obj->h = h;
	cui_bind(obj, CUI_EVT_DRAW, cui_fill_hdr, NULL);
	((cui_label)obj)->attr = attr;
}

int
cui_fill_attr_get(cui obj)
{
	return cui_label_attr_get(obj);
}

void
cui_fill_attr_set(cui obj, int attr)
{
	cui_label_attr_set(obj, attr);
}

/* EOF */
