#ifndef __MENU_H__
#define __MENU_H__

#include "button.h"
#include "lblfix.h"

typedef struct cui_menu_btn{
	struct cui_button button;
} *cui_menu_btn;

typedef struct cui_menu_item{
	struct cui_base base;
	cui lbf, lb_end;
} *cui_menu_item;

typedef struct cui_menu_popup{
	struct cui_menu_item item;
	cui menu;
	int val;
} * cui_menu_popup;

cui cui_menu_btn_new(cui parent, int x, int y, char *s);
void cui_menu_btn_init(cui obj, cui parent, int x, int y, char *s);
int cui_menu_btn_hdr(cui obj, int evt, int val, void *prm);
char *cui_menu_btn_str_get(cui obj);
void cui_menu_btn_str_set(cui obj, char *s);

cui cui_menu_item_new(cui parent, int x, int y, char *s);
void cui_menu_item_init(cui obj, cui parent, int x, int y, char *s);
int cui_menu_item_hdr(cui obj, int evt, int val, void *prm);
char *cui_menu_item_str_get(cui obj);
void cui_menu_item_str_set(cui obj, char *s);

cui cui_menu_new(cui parent, int x, int y, char **lst);
cui cui_menu_str_to_item(cui menu, char *s);

cui cui_menu_popup_new(cui parent, int x, int y, int w, char **lst, int val);
void cui_menu_popup_init(cui obj, cui parent, int x, int y, int w, char **lst, int val);
int cui_menu_popup_hdr(cui obj, int evt, int val, void *prm);
char *cui_menu_popup_str_get(cui obj);

#endif
